--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	2015-08-19 07:25:13.162270439 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	2015-08-19 07:25:13.168601827 -0400
@@ -10059,7 +10059,7 @@
 	if (mpt->m_ncmds) {
 		mpt->m_softstate |= MPTSAS_SS_DRAINING;
 		mpt->m_quiesce_timeid = timeout(mptsas_ncmds_checkdrain,
-		    mpt, (MPTSAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+		    mpt, drv_sectohz(MPTSAS_QUIESCE_TIMEOUT));
 		if (cv_wait_sig(&mpt->m_cv, &mpt->m_mutex) == 0) {
 			/*
 			 * Quiesce has been interrupted
@@ -10134,8 +10134,7 @@
 			}
 
 			mpt->m_quiesce_timeid = timeout(mptsas_ncmds_checkdrain,
-			    mpt, (MPTSAS_QUIESCE_TIMEOUT *
-			    drv_usectohz(1000000)));
+			    mpt, drv_sectohz(MPTSAS_QUIESCE_TIMEOUT));
 		}
 	}
 	mutex_exit(&mpt->m_mutex);
@@ -13631,7 +13630,7 @@
 			goto out;
 		}
 		NDBG20(("The GUID is not ready, retry..."));
-		delay(1 * drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		goto inq83_retry;
 	}
 out:
@@ -14930,7 +14929,7 @@
 			 * to retry inquiry page 0x83 and get GUID.
 			 */
 			NDBG20(("Not well formed devid, retry..."));
-			delay(1 * drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			continue;
 		} else {
 			mptsas_log(mpt, CE_WARN, "!Encode devid failed for "
